libstdc++: __gnu_pbds::detail::hash_load_check_resize_trigger_size_base< Size_Type, true > Class Template Reference

libstdc++

__gnu_pbds::detail::hash_load_check_resize_trigger_size_base< Size_Type, true > Class Template Reference

`#include <hash_load_check_resize_trigger_size_base.hpp>`

## Protected Types
typedef Size_Type | size_type

## Protected Member Functions
size_type | get_size () const
void | set_size (size_type size)
void | swap (hash_load_check_resize_trigger_size_base &other)

## Detailed Description

template<typename Size_Type>
class __gnu_pbds::detail::hash_load_check_resize_trigger_size_base< Size_Type, true >

Specializations.

Definition at line 54 of file hash_load_check_resize_trigger_size_base.hpp.

## Member Typedef Documentation

## ◆ size_type

template<typename Size_Type>

typedef Size_Type __gnu_pbds::detail::hash_load_check_resize_trigger_size_base< Size_Type, true >::size_type
| protected

Definition at line 57 of file hash_load_check_resize_trigger_size_base.hpp.

## Constructor & Destructor Documentation

## ◆ hash_load_check_resize_trigger_size_base()

template<typename Size_Type>

__gnu_pbds::detail::hash_load_check_resize_trigger_size_base< Size_Type, true >::hash_load_check_resize_trigger_size_base | ( |  | ) |
| inlineprotected

Definition at line 59 of file hash_load_check_resize_trigger_size_base.hpp.

## Member Function Documentation

## ◆ get_size()

template<typename Size_Type>

size_type __gnu_pbds::detail::hash_load_check_resize_trigger_size_base< Size_Type, true >::get_size | ( |  | ) | const
| inlineprotected

Definition at line 71 of file hash_load_check_resize_trigger_size_base.hpp.

## ◆ set_size()

template<typename Size_Type>

void __gnu_pbds::detail::hash_load_check_resize_trigger_size_base< Size_Type, true >::set_size | ( | size_type | size | ) |
| inlineprotected

Definition at line 67 of file hash_load_check_resize_trigger_size_base.hpp.

## ◆ swap()

template<typename Size_Type>

void __gnu_pbds::detail::hash_load_check_resize_trigger_size_base< Size_Type, true >::swap | ( | hash_load_check_resize_trigger_size_base< Size_Type, true > & | other | ) |
| inlineprotected

Definition at line 63 of file hash_load_check_resize_trigger_size_base.hpp.

The documentation for this class was generated from the following file:

- hash_load_check_resize_trigger_size_base.hpp